Subject: [PATCHv5 0/5] arm/arm64: Unify PSCI client support

From: [email-masked] (Will Deacon)
Date: Wed, 5 Aug 2015 12:09:30 +0100

On Wed, Aug 05, 2015 at 08:41:31AM +0100, Olof Johansson wrote:
> On Mon, Aug 3, 2015 at 4:37 PM, Will Deacon <[email-masked]> wrote:
> > On Fri, Jul 31, 2015 at 03:46:15PM +0100, Mark Rutland wrote:
> >> This series unifies the 32-bit and 64-bit PSCI client code, moving the bulk of
> >> the FW invocation and probing out to a common location in drivers/firmware. The
> >> bulk of the PSCI 0.2 cleanups have hit mainline now, so this is just the
> >> unification portion.
> >>
> >> This results in a reasonable saving in terms of lines of code, and will allow
> >> for PSCI 1.0 support to be unified form the beginning, avoiding further
> >> duplication.
> >>
> >> Since v4 [1]:
> >> * Apply Rob Herring's ack
> >> * Rebase to v4.2-rc2 to handle a trivial conflict
> >> * Reorder the series to keep arch/arm patches together
> >> Since v3 [2]:
> >> * Drop the PSCI 0.2 patches as they're in mainline
> >> * s/__pa/virt_to_idmap/ from Grygorii Strashko
> >> * Use macros for Calxeda CPU_SUSPEND parameters
> >>
> >> Russell, are you happy with the arch/arm patches? If so, are you happy for them
> >> to go via another tree, or would you prefer that I set up a stable branch for
> >> merging?
> >>
> >> I was under the impression that you had already taken Grygorii's patch but I
> >> couldn't spot it in any branches. I can drop that if you already have it.
> >
> > I've been looking at merging this, but it's a tad fiddly touching all of
> > arm, arm64 and drivers. One way to do it would be:
> >
> >   (1) I create a branch containing patches 1,2 and 5 based on -rc2 and
> >       merge that into the arm64/for-next/core branch. There's a minor
> >       conflict, but it's easy to resolve.
> >
> >   (2) I create another branch, which is just the branch merged in (1) +
> >       patches 3 and 4 on top. I send a pull request for that to rmk.
> >
> >   (3) Torvalds will get the minor conflict resolved in (1) when he merges
> >       the arm and arm64 trees.
> >
> > If we're not comfortable with (3), then the whole lot could go via
> > arm-soc instead (including the conflict resolution).
> >
> > Russell, Olof, any preferences?
> 
> Wouldn't it be easiest to just get acks on patch 3 and 4 and just
> merge it all through your tree?

That would work if Russell is ok with it (it needs his acks).

Russell: would you prefer to ack 3+4 and have me take them via the arm64
tree or instead have me send you a pull request with a conflict resolution
for Torvalds? Yet another option is to postpone the arch/arm/ part to
4.4.

Will